module Mixin
	def self.included(base)
		base.extend(ClassMethods)
	end

	module ClassMethods
		def mixin(&block)
			self.class_eval do
				define_singleton_method :included do |base|
					base.extend(Module.new(&block))	
				end
			end
		end
	end
end
